org.keycloak.protocol.saml

## Class SAML2LogoutRequestBuilder

- java.lang.Object
- - org.keycloak.protocol.saml.SAML2BindingBuilder<SAML2LogoutRequestBuilder>
  - - org.keycloak.protocol.saml.SAML2LogoutRequestBuilder

-     public class SAML2LogoutRequestBuilder
      extends SAML2BindingBuilder<SAML2LogoutRequestBuilder>

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.keycloak.protocol.saml.SAML2BindingBuilder

      `SAML2BindingBuilder.PostBindingBuilder, SAML2BindingBuilder.RedirectBindingBuilder`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `userPrincipal`
    `protected String` | `userPrincipalFormat`

    - ### Fields inherited from class org.keycloak.protocol.saml.SAML2BindingBuilder

      `destination, encrypt, encryptionAlgorithm, encryptionKeySize, encryptionPublicKey, relayState, responseIssuer, sign, signAssertions, signatureAlgorithm, signingCertificate, signingKeyPair`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAML2LogoutRequestBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Document` | `buildDocument()`
    `SAML2BindingBuilder.PostBindingBuilder` | `postBinding()`
    `SAML2BindingBuilder.RedirectBindingBuilder` | `redirectBinding()`
    `SAML2LogoutRequestBuilder` | `userPrincipal(String nameID, String nameIDformat)`

    - ### Methods inherited from class org.keycloak.protocol.saml.SAML2BindingBuilder

      `base64Encoded, buildHtml, buildHtmlPostResponse, buildResponse, destination, encrypt, encryptDocument, encryptionAlgorithm, encryptionKeySize, generateRedirectUri, relayState, responseIssuer, signAssertion, signAssertions, signatureAlgorithm, signDocument, signDocument, signWith, signWith, signWith, signWith`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### userPrincipal

          protected String userPrincipal

    - #### userPrincipalFormat

          protected String userPrincipalFormat

  - ### Constructor Detail

    - #### SAML2LogoutRequestBuilder

          public SAML2LogoutRequestBuilder()

  - ### Method Detail

    - #### userPrincipal

          public SAML2LogoutRequestBuilder userPrincipal(String nameID,
                                                String nameIDformat)

    - #### redirectBinding

          public SAML2BindingBuilder.RedirectBindingBuilder redirectBinding()
                                                                     throws org.picketlink.common.exceptions.ConfigurationException,
                                                                            org.picketlink.common.exceptions.ProcessingException,
                                                                            org.picketlink.common.exceptions.ParsingException

      Throws:
        `org.picketlink.common.exceptions.ConfigurationException`
        `org.picketlink.common.exceptions.ProcessingException`
        `org.picketlink.common.exceptions.ParsingException`

    - #### postBinding

          public SAML2BindingBuilder.PostBindingBuilder postBinding()
                                                             throws org.picketlink.common.exceptions.ConfigurationException,
                                                                    org.picketlink.common.exceptions.ProcessingException,
                                                                    org.picketlink.common.exceptions.ParsingException

      Throws:
        `org.picketlink.common.exceptions.ConfigurationException`
        `org.picketlink.common.exceptions.ProcessingException`
        `org.picketlink.common.exceptions.ParsingException`

    - #### buildDocument

          public Document buildDocument()
                                 throws org.picketlink.common.exceptions.ProcessingException,
                                        org.picketlink.common.exceptions.ConfigurationException,
                                        org.picketlink.common.exceptions.ParsingException

      Throws:
        `org.picketlink.common.exceptions.ProcessingException`
        `org.picketlink.common.exceptions.ConfigurationException`
        `org.picketlink.common.exceptions.ParsingException`

Copyright © 2015. All Rights Reserved.